/* Table of constant values */

static float c_b2 = 1.f;
static float c_b3 = 0.f;
static int c__1 = 1;
static int c__2 = 2;
static int c__4 = 4;

/* **** TECT   S/R  EF13R B  A HB MY ********* */

int main(void)
{
    /* Initialized data */
    static float p[11] = { 1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f,1.f };
    static int n = 11;
    static int m = 11;
    static float q = 1e-6f;
    static float x[11] = { 0.f,.1f,.2f,.3f,.4f,.5f,.6f,.7f,.8f,.9f,1.f };
    static float y[11] = { 0.f,.1f,.2f,.3f,.4f,.5f,.6f,.7f,.8f,.9f,1.f };

    /* Builtin functions */
    double atan(double), log(double);

    /* Local variables */
    extern  int ef13r_c(float *, float *, int *, int *, float *, float *,
            float *, float *, float *, float *, float *, float *,
            float *, float *, int *);
    static float a[121]  /* was [11][11] */, f[11], h__[50];
    static int i__, i, j;
    static float u[11], w[88]  /* was [11][8] */;
    int i__1, i__2;

#define a_ref(a_1,a_2) a[(a_2)*11 + a_1 - 12]

    i__1 = m;
    for (i__ = 1; i__ <= i__1; ++i__) {
        f[i__ - 1] = (float)atan(x[i__ - 1]);
        i__2 = n;
        for (j = 1; j <= i__2; ++j) {
/* L1: */
            a_ref(i__, j) = y[i__ - 1] / (x[j - 1] * x[j - 1] * y[i__ - 1] * 
                    y[i__ - 1] + 1.f);
        }
    }
    ef13r_c(x, y, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &q, h__, w, &c__1);
    ef13r_c(x, y, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &q, h__, w, &c__2);

    for (i = 0; i <= 6; i+= 3) {
       printf("\n %16.7e %16.7e %16.7e ",u[i], u[i+1], u[i+2]);
    }
    printf("\n %16.7e %16.7e \n",u[9], u[10]);
    for (i = 1; i <= 5; ++i) {
        printf("\n %16.7e \n",h__[i-1]);
    }
    f[0] = 0.f;
    i__2 = m;
    for (i__ = 2; i__ <= i__2; ++i__) {
/* L2: */
        f[i__ - 1] = (float)log((float)(y[i__ - 1] * y[i__ - 1] + 1.f)) /
                (y[i__ - 1] * 2.f);
    }
    q = 1e-6f;
    ef13r_c(x, y, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &q, h__, w, &c__4);
    ef13r_c(x, y, &n, &m, a, u, f, p, &c_b2, &c_b3, &c_b3, &q, h__, w, &c__2);

    for (i = 0; i <= 6; i+= 3) {
       printf("\n %16.7e %16.7e %16.7e ",u[i], u[i+1], u[i+2]);
    }
    printf("\n %16.7e %16.7e \n",u[9], u[10]);
    for (i = 1; i <= 5; ++i) {
        printf("\n %16.7e \n",h__[i-1]);
    }
    return 0;
} /* main */

#undef a_ref
